BN_SET_NEGATIVE(3)

NAME
BN_set_negative, BN_is_negative - change and inspect the sign of a BIGNUM

SYNOPSIS
libcrypto
#include <openssl/bn.h>
void
BN_set_negative(BIGNUM *b, int n);
int
BN_is_negative(const BIGNUM *b);

DESCRIPTION
BN_set_negative() sets b to negative if both b and n are non-zero, otherwise it sets it to positive.

BN_is_negative() tests the sign of b.

RETURN VALUES
BN_is_negative() returns 1 if b is negative or 0 otherwise.

SEE ALSO
BN_add(3), BN_new(3), BN_set_bit(3), BN_zero(3)

HISTORY
BN_set_negative() and BN_is_negative() first appeared in OpenSSL 0.9.8 and have been available since OpenBSD 4.5.